package com.ffii.fpsms.modules.stock.web.model

import java.time.LocalDate
import java.time.LocalDateTime

enum class StockOutStatus(val status: String) {
    PENDING("pending"),
    COMPLETE("completed"),
//    CANCELLED("cancelled")
}
enum class StockOutLineStatus(val status: String) {
    PENDING("pending"),
    PICKED("picked"),
    COMPLETE("completed"),
//    CANCELLED("cancelled")
}
data class SaveStockOutRequest(
    val id: Long?,
    val type: String, // delivery || pick || etc
    val deliveryOrderCode: String?,
    val pickOrderCode: String?,
    val consoCode: String?,
    val completeDate: LocalDateTime?,
    val status: StockOutStatus?,
    val handler: Long?,
    val targetOutletId: Long?,
    val remarks: String?,
    val stockOutLine: List<SaveStockOutLineRequest>
)

data class SaveStockOutLineRequest(
    val id: Long?,
    val itemId: Long,
    val qty: Double,
    val stockOutId: Long,
    val inventoryId: Long?,
    val status: StockOutLineStatus?,
    val pickTime: LocalDateTime?,
    val pickerId: Long?
)
